/* IFPE, Curso de Anlise e Desenvolvimento de Sistemas
 * Programao para Tempo Real
 * Programa: time
 * Autor: Anderson Moreira
 * E-mail: anderson.moreira@recife.ifpe.edu.br
 *
 * Programa que estende o TIME_2 e testa outras funes
 * gmtime( )
 * ctime( )
 * asctime( )
 *
 */

#include <iostream> 	// para: cout
#include <time.h>     	// para: gmtime()
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h> 	// para: usleep()
#include <profile.h> 	//para:gprof

using std::cout;

int main(void)
{
	struct tm *tempo; // um ponteiro para a estrutura tm
	time_t segundos;  // varivel para armazenar o tempo em segundos

	(void) time(&segundos);  // outra forma de armazenar o tempo em segundos
	tempo = gmtime(&segundos); // obtendo a estrutura

	cout <<"Programa que utiliza varias funcoes de captura de data " << "\n";

	cout << "O tempo em segundos e:  " << segundos << '\n';
	cout << "Saida padronizada " << '\n';
	cout << "Data: " << tempo->tm_mday << "/" << tempo->tm_mon +1 << "/" << 1900 + (tempo->tm_year) << '\n';


	cout << "\n\n";
	cout << "Usando a funcao ctime( )\n";
	cout << "Tempo Atual: " << ctime(&segundos) << '\n';

	cout << "\n\n";
	cout << "Usando a funcao asctime( )\n";
	cout << "Tempo Atual: " << asctime(tempo) << '\n';

	exit(0);
}
